%define anolis_release 1

%global gh_commit    4cdce31c1b5120779a01225b5b0968f9321342d6
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     theseer
%global gh_project   DirectoryScanner
%global php_home     %{_datadir}/php/TheSeer
%global pear_name    DirectoryScanner
%global pear_channel pear.netpirates.net

%bcond_with     tests

Name:           php-theseer-directoryscanner
Version:        1.3.3
Release:        %{anolis_release}%{?dist}
Summary:        A recursive directory scanner and filter

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.1
%if %{with tests}
BuildRequires:  %{_bindir}/phpunit
%endif

# From composer.json
Requires:       php(language) >= 5.3.1
# From phpcompatinfo report for 1.3.0
Requires:       php-fileinfo
Requires:       php-spl

Provides:       php-composer(theseer/directoryscanner) = %{version}
Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
A recursive directory scanner and filter.


%prep
%setup -q -n %{gh_project}-%{gh_commit}


%build
# Empty build section, most likely nothing required.


%install
mkdir -p   %{buildroot}%{php_home}
cp -pr src %{buildroot}%{php_home}/%{gh_project}


%check
%if %{with tests}
ret=0
for cmd in php php74 php80 php81; do
  if which $cmd; then
    $cmd %{_bindir}/phpunit \
         --bootstrap %{buildroot}%{php_home}/%{gh_project}/autoload.php \
         --verbose \
         --no-coverage || ret=1
  fi
done
exit $ret
%endif


%post
if [ -x %{_bindir}/pear ]; then
  %{_bindir}/pear uninstall --nodeps --ignore-errors --register-only \
      %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc composer.json
%dir %{php_home}
%{php_home}/%{gh_project}


%changelog
* Fri Jul 14 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.3-1
- Init upstream from version 1.3.3
